import React from "react";
import classes from "./DropdownItem.module.css";

const DropdownItem = ({ title, IconSrc, onClick, setShow, iconType, component, isUppercase }) => {
  const handleClick = (e) => {
    e.stopPropagation();

    if (!onClick) return;
    setShow(false);
    onClick();
  };

  let renderedIcon = null;
  if (IconSrc) {
    renderedIcon = <IconSrc className={iconType === "mui" ? classes.muiIcon : classes.icon} />;
  }

  return (
    <div className={classes.root} style={onClick ? { cursor: "pointer" } : {}} onClick={handleClick}>
      {renderedIcon && <div class={classes.iconWrap}>{renderedIcon}</div>}
      <p>{isUppercase ? title.toUpperCase() : title}</p>
      {component}
    </div>
  );
};

export default DropdownItem;
