import React from "react";
import Backdrop from "../Backdrop/Backdrop";
import classes from "./Modal.module.css";
import { Portal } from 'react-portal';

const Modal = ({ show, modalClosed, children, className, node = document.body }) => {
  return (
    <Portal node={node}>
      <Backdrop show={show} clicked={modalClosed} />
      <div
        className={`${classes.Modal} ${className}`}
        style={{
          transform: show ? "translateY(0)" : "translateY(-100vh)",
          opacity: show ? "1" : "0",
        }}
      >
        {children}
      </div>
    </Portal>
  );
};

export default Modal;
