import React from "react";
import Search from "@mui/icons-material/Search";
import Input from "../Input/Input";
import classes from "./SearchBar.module.css";

const SearchBar = ({ type = "text", placeholder, onChange, className, onIconClick = () => {} }) => {
  return (
    <div className={`${classes.root} ${className}`}>
      <Input type={type} placeholder={placeholder} onChange={onChange} placeholderColor="#aaa" />

      <div className="" onClick={onIconClick}>
        <Search className={classes.icon} />
      </div>
    </div>
  );
};

export default SearchBar;
