import React from "react";
import Search from "@mui/icons-material/Search";
import Input from "../Input/Input";
import classes from "./SearchBar.module.css";

const SearchBarWithValue = ({
  type = "text",
  placeholder,
  onChange,
  className,
  onIconClick = () => {},
  value,
}) => {
  return (
    <div className={`${classes.root} ${className}`}>
      <Input type={type} placeholder={placeholder} onChange={onChange} placeholderColor="#aaa" value={value} />

      <div className="" onClick={onIconClick}>
        <Search className={classes.icon} />
      </div>
    </div>
  );
};

export default SearchBarWithValue;
