import React from "react";
import moment from "moment";
import classes from "./TimelineItem.module.css";

const TimelineItem = ({ title, description, createdDate, color, lastNode = false, template }) => {
  function modifyTimeStamp(createdTime) {
    if (!createdTime || createdTime?.length < 1) return "N/A";

    var dateAndTime = createdTime.split("T");
    var currentDate = new Date();
    var activityDateTime = new Date(createdTime);

    var diff = currentDate.getTime() - activityDateTime.getTime();
    var dayDiff = diff / (1000 * 60 * 60 * 24);

    if (Math.floor(dayDiff - 1) > 30) {
      return `${dateAndTime[0]}`;
    } else {
      return `${moment(activityDateTime).fromNow()}`;
    }
  }

  return (
    <div className={classes.root} style={{ "--timeline-item-color": color }}>
      <span>{modifyTimeStamp(createdDate)}</span>
      <h3>{title}</h3>
      <p>{description}</p>
      {template}
      {!lastNode && <div className={classes.line} />}
    </div>
  );
};

export default TimelineItem;
